Subject: Re: [pkix] EC key pair

From: Peter Gutmann <[email-masked]>
Date: Thu, 2 Apr 2015 09:19:25 +0000

Johannes Merkle <[email-masked]> writes:

>Why shouldn't an unrestricted EC public key (id-ecPublicKey) not be usable
>for both signature and encryption, e.g., ECDSA and ECIES?

For that you'd need to find a crypto library that does ECIES.  A quick Google
returns results for a JCE provider and Crypto++, but also tells me they won't
interoperate unless you patch one or both of them.  Then you need to write a
SCEP server that handles this from scratch, and then a SCEP client.  Oh, and
the result won't interoperate with any other SCEP server or client out there.

So yes, you can do EC with SCEP, in the same way that you can push a pea up a
mountain with your nose...

(Credit to Christopher Strachey for the analogy :-).

Peter.